### Method

# Gtk TextIterbackward_lines

#### Declaration [src]

    gboolean
    gtk_text_iter_backward_lines (
      GtkTextIter* iter,
      int count
    )

#### Description [src]

Moves `count` lines backward, if possible.

If `count` would move past the start or end of the buffer, moves to the start or end of the buffer.

The return value indicates whether the iterator moved onto a dereferenceable position; if the iterator didn’t move, or moved onto the end iterator, then `FALSE` is returned. If `count` is 0, the function does nothing and returns `FALSE`. If `count` is negative, moves forward by 0 - `count` lines.

#### Parameters

`count`

  Type: `int`

  Number of lines to move backward.

#### Return value

Type: `gboolean`

Whether `iter` moved and is dereferenceable.